For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • DELDelete Model Sync
      • PATCHUpdate Sync
      • POSTActivate Sync
      • POSTStart Sync
      • GETGet Sync Status
        • GETList Executions
        • GETGet Execution
        • GETGet Execution Log Urls
        • GETGet Execution Log
Logo
Log inBook a demo
API ReferenceModel SyncExecutions

Get Execution

GET
https://app.polytomic.com/api/syncs/:sync_id/executions/:id
GET
/api/syncs/:sync_id/executions/:id
$curl https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": {
3 "completed_at": "2024-01-01T00:00:00Z",
4 "counts": {
5 "delete": 42,
6 "error": 5,
7 "insert": 80,
8 "total": 100,
9 "update": 15,
10 "upserts": 10,
11 "warnings": 10
12 },
13 "created_at": "2024-01-01T00:00:00Z",
14 "errors": [
15 "something went wrong"
16 ],
17 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
18 "started_at": "2024-01-01T00:00:00Z",
19 "status": "created",
20 "type": "scheduled"
21 }
22}

Returns a single model sync execution.

For the log files produced by this execution, use GET /api/syncs/{sync_id}/executions/{id}/{type} to retrieve signed URLs grouped by log category.

Was this page helpful?
Previous

Get Execution Log Urls

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

sync_idstringRequiredformat: "uuid"
idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error